summaryrefslogtreecommitdiff
path: root/tests/r-dot
diff options
context:
space:
mode:
Diffstat (limited to 'tests/r-dot')
-rwxr-xr-xtests/r-dot7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/r-dot b/tests/r-dot
index 73e593cf..a1d5c0a5 100755
--- a/tests/r-dot
+++ b/tests/r-dot
@@ -11,4 +11,11 @@ echo a:aaa > exp || framework_failure_
(cd dir && grep -r aaa) > out || fail=1
compare exp out || fail=1
+(cd dir && grep -r aaa < a) > out || fail=1
+compare exp out || fail=1
+
+echo aaa > exp || framework_failure_
+(cd dir && GREP_OPTIONS=-r grep aaa < a) > out || fail=1
+compare exp out || fail=1
+
Exit $fail